Đến nội dung


Hình ảnh
* * * - - 3 Bình chọn

Hướng dẫn lập trình Lisp


  • Please log in to reply
497 replies to this topic

#121 binh80

binh80

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 20 July 2009 - 11:17 AM

Chào diễn đán, mònh mới đang mò mẫm viết slip trên notepat nhưng khi lưu không chuyển thành flie slip được mong các bậc tiền bối chỉ giáo mình giùm với. Thank you diễn đàn!
  • 0

#122 HoangSon614

HoangSon614

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 254 Bài viết
Điểm đánh giá: 66 (tàm tạm)

Đã gửi 20 July 2009 - 11:28 AM

Chào diễn đán, mònh mới đang mò mẫm viết slip trên notepat nhưng khi lưu không chuyển thành flie slip được mong các bậc tiền bối chỉ giáo mình giùm với. Thank you diễn đàn!

Bạn phải lưu file với đuôi là *.lsp (VD: Binh80.lsp). Chúc bạn thành công và đóng góp nhiều cho diễn đàn
  • 1

#123 binh80

binh80

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 20 July 2009 - 12:00 PM

Cảm ơn bạn HoangSon614 nhưng mình vẫn không lưu được mà chỉ lưu được SLP file mà không được Autoslip Application source mong bạn chỉ giáo mình với.
  • 0

#124 HoangSon614

HoangSon614

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 254 Bài viết
Điểm đánh giá: 66 (tàm tạm)

Đã gửi 20 July 2009 - 12:13 PM

Cảm ơn bạn HoangSon614 nhưng mình vẫn không lưu được mà chỉ lưu được SLP file mà không được Autoslip Application source mong bạn chỉ giáo mình với.

Sao không được bạn. Sau khi viết gì đó mình không biết, rồi đặt tên ( VD: Binh80.lsp, < ở đây: binh80: tên lisp và thêm .lsp là được mà>). Chúc bạn thành công
  • 1

#125 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 20 July 2009 - 03:32 PM

Cảm ơn bạn HoangSon614 nhưng mình vẫn không lưu được mà chỉ lưu được SLP file mà không được Autoslip Application source mong bạn chỉ giáo mình với.


Chào bạn Binh80,
Khi bạn đã lưu file của bạn với đuôi .lsp có nghĩa là file đó đã có thể Load application trong CAd được rồi. Nhưng nó có chạ ngon lành hay không thì phụ thuộc vào việc bạn đã viết ra sao. Để Load application nó bạn phải vào lệnh Load Application trong menu Tool của cad sau đó chỉ đường dẫn ới thư mục mà bạn đã lưu file của bạn rồi nhấn nút Load bạn nhé.

Chúc bạn thành công.
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#126 tomboy

tomboy

    biết vẽ polygon

  • Members
  • PipPip
  • 72 Bài viết
Điểm đánh giá: 20 (tàm tạm)

Đã gửi 14 August 2009 - 11:37 PM

Chào bạn Binh80,
Khi bạn đã lưu file của bạn với đuôi .lsp có nghĩa là file đó đã có thể Load application trong CAd được rồi. Nhưng nó có chạ ngon lành hay không thì phụ thuộc vào việc bạn đã viết ra sao. Để Load application nó bạn phải vào lệnh Load Application trong menu Tool của cad sau đó chỉ đường dẫn ới thư mục mà bạn đã lưu file của bạn rồi nhấn nút Load bạn nhé.

Chúc bạn thành công.

Nếu bạn viết lsp trong môi trường notebed thì hơi vất cho bạn đấy, bạn vào cad rồi đánh lệnh VLIDE nó sẽ vào môi trường lsp cho bạn. còn bạn không lưu vào file *.lsp được vì bạn không để trong dấu kép nháy vd "tkt.lsp" chẳng hạn.
  • 0

#127 khieuhung

khieuhung

    biết vẽ line

  • Members
  • PipPip
  • 20 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 23 August 2009 - 03:06 PM

cảm ơn bác SSG nhiều em mới nhập môn đang­ loay hoay tìm tài liệu may có b­ác up bài này lên không chắc chả biết gì :bigsmile: cảm ơn bác và­ nh­ững người tâm huyết như bác mong bác :bigsmile:
  • 0

#128 hugo75

hugo75

    biết vẽ polygon

  • Members
  • PipPip
  • 72 Bài viết
Điểm đánh giá: -4 (bình thường)

Đã gửi 03 September 2009 - 12:00 PM

Cảm ơn diễn đàn rất nhiều.
  • 0

#129 chandatn

chandatn

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 03 September 2009 - 03:29 PM

Nếu bạn viết lsp trong môi trường notebed thì hơi vất cho bạn đấy, bạn vào cad rồi đánh lệnh VLIDE nó sẽ vào môi trường lsp cho bạn. còn bạn không lưu vào file *.lsp được vì bạn không để trong dấu kép nháy vd "tkt.lsp" chẳng hạn.



Mình muốn viết 1 đoạn lisp để nó đọc các thông số như layer, linetype scale, màu của đôí tượng đó (nếu màu là by layer thì đọc màu cuả layer đó) mà không biết viết thế nào mong các bạn chỉ giáo!
  • 0

#130 ssg

ssg

    biết lệnh adcenter

  • Vip
  • PipPipPipPipPipPipPip
  • 1228 Bài viết
Điểm đánh giá: 1087 (rất tốt)

Đã gửi 04 September 2009 - 04:56 PM

Mình muốn viết 1 đoạn lisp để nó đọc các thông số như layer, linetype scale, màu của đôí tượng đó (nếu màu là by layer thì đọc màu cuả layer đó) mà không biết viết thế nào mong các bạn chỉ giáo!

1- Trước hết, bạn hãy tìm hiểu về DXF code. Để có khái niệm, mời bạn đọc bài này:
http://www.cadviet.c...tent/view/89/1/
Qua đó, bạn sẽ tự nhận biết mình còn thiếu mảng kiến thức nào và hãy tự bổ sung.

2- Nếu có thể, tìm hiểu về các functions dạng vla-get-xxxx. Chúng rất hiệu quả với các yêu cầu tương tự như của bạn.

Chúc bạn nhanh chóng làm chủ được ngôn ngữ Lisp.
  • 0

#131 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 04 September 2009 - 05:15 PM

Mình muốn viết 1 đoạn lisp để nó đọc các thông số như layer, linetype scale, màu của đôí tượng đó (nếu màu là by layer thì đọc màu cuả layer đó) mà không biết viết thế nào mong các bạn chỉ giáo!

Bạn xem lisp này của mình và tự rút ra cái bạn cần nhé!
;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;
(Defun c:dxem ( ) (setq metxem (getstring "\nGia tri mot met:")) (Princ))
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(Defun c:xem ( )

(if (null metxem)(setq metxem "1"))
(setq metxemt (atof metxem))
(setq noidungthongbaotrong (strcat "\n"
"\n---------------o Viet boi Kts: Duy o---------------"))

(princ "\nChon doi tuong muon xem thuoc tinh")
(setq doituong1 (entsel))
(while
(null doituong1)
(princ "\nChon doi tuong muon xem thuoc tinh")
(setq doituong1 (entsel))
)

(setq doituong (car doituong1))
(setq doituong (entget doituong))

(setq KIEUDOITUONG (cdr (assoc 0 doituong)))
(setq TILEDANGDUONG (cdr (assoc 48 doituong)))
(setq LAYERDOITUONG (cdr (assoc 8 doituong)))
(setq COLORDOITUONG (cdr (assoc 62 doituong)))
(setq KIEUDUONGDOITUONG (cdr (assoc 6 doituong)))

(setq TENLOP (TBLOBJNAME "LAYER" LAYERDOITUONG))
(setq DOCLOP (entget TENLOP))
(setq MAULOP (cdr (assoc 62 DOCLOP)))
(setq KIEUDUONGLOP (cdr (assoc 6 DOCLOP)))

(Cond
((= KIEUDOITUONG "INSERT")
(setq KIEUDOITUONG "BLOCK")
)
((/= KIEUDOITUONG "INSERT")
(setq KIEUDOITUONG KIEUDOITUONG)
)
)

(Cond
((= COLORDOITUONG nill)
(setq COLORDOITUONG (strcat "BYLAYER <" (itoa MAULOP) ">"))
)
((/= COLORDOITUONG nill)
(setq COLORDOITUONG (itoa COLORDOITUONG))
)
)

(Cond
((= KIEUDUONGDOITUONG nill)
(setq KIEUDUONGDOITUONG (strcat "BYLAYER <" KIEUDUONGLOP ">"))
)
((/= KIEUDUONGDOITUONG nill)
(setq KIEUDUONGDOITUONG KIEUDUONGDOITUONG)
)
)

(Cond
((= TILEDANGDUONG nill)
(setq TILEDANGDUONG "1.0000")
)
((/= TILEDANGDUONG nill)
(setq TILEDANGDUONG (rtos TILEDANGDUONG 2 4))
)
)

(setq noidungthongbao (strcat
"*DOI TUONG LA : " KIEUDOITUONG
"\n -LAYER : " LAYERDOITUONG
"\n -COLOR : " COLORDOITUONG))
;;;;;;;;;
(Cond
((= KIEUDOITUONG "TEXT")
(setq KIEUTEXT (cdr (assoc 7 doituong)))
(setq DOLONTEXT (cdr (assoc 40 doituong)))
(setq GOCTEXT (cdr (assoc 50 doituong)))
(setq noidungthongbaotrong (strcat
"\n -Style : " KIEUTEXT
"\n -Height : " (rtos DOLONTEXT 2 4)
"\n -Rotation angle : " (rtos (* 180 (/ GOCTEXT pi)) 2 4)
"\n"
"\n-------------------o Viet boi Kts: Duy o-------------------"))
)
)
;;;;;;;;;
(Cond
((= KIEUDOITUONG "MTEXT")
(setq KIEUTEXT (cdr (assoc 7 doituong)))
(setq DOLONTEXT (cdr (assoc 40 doituong)))
(setq GOCTEXT (cdr (assoc 50 doituong)))
(setq noidungthongbaotrong (strcat
"\n -Style : " KIEUTEXT
"\n -Height : " (rtos DOLONTEXT 2 4)
"\n -Rotation angle : " (rtos (* 180 (/ GOCTEXT pi)) 2 4)
"\n"
"\n-------------------o Viet boi Kts: Duy o-------------------"))
)
)
;;;;;;;;;
(Cond
((= KIEUDOITUONG "BLOCK")
(setq TENKHOI (cdr (assoc 2 doituong)))
(setq TYLEX (cdr (assoc 41 doituong)))
(setq TYLEY (cdr (assoc 42 doituong)))
(setq TYLEZ (cdr (assoc 43 doituong)))
(setq GOCCHEN (cdr (assoc 50 doituong)))
(setq noidungthongbaotrong (strcat
"\n -Block name : " TENKHOI
"\n -X scale factor : " (rtos TYLEX 2 4)
"\n -Y scale factor : " (rtos TYLEY 2 4)
"\n -Z scale factor : " (rtos TYLEZ 2 4)
"\n -Rotation angle : " (rtos (* 180 (/ GOCCHEN pi)) 2 4)
"\n"
"\n-------------------o Viet boi Kts: Duy o-------------------"))
)
)
;;;;;;;;;
(Cond
((= KIEUDOITUONG "CIRCLE")
(setq BANKINH (cdr (assoc 40 doituong)))
(command "area" "ob" doituong1)
(setq DIENTICH (getvar "area"))
(setq CHUVI (getvar "Perimeter"))
(setq noidungthongbaotrong (strcat
"\n -Linetype : " KIEUDUONGDOITUONG
"\n -Linetype Scale : " TILEDANGDUONG
"\n -Radius : " (rtos (/ BANKINH metxemt) 2 4)
"\n -Area : " (rtos (/ DIENTICH (* metxemt metxemt)) 2 4)
"\n -Circumference : " (rtos (/ CHUVI metxemt) 2 4)
"\n"
"\n-------------------o Viet boi Kts: Duy o-------------------"
"\n"
"\n 1 met = <" metxem "> Go lenh DXEM de thay doi!"))
)
)
;;;;;;;;;
(Cond
((= KIEUDOITUONG "ARC")
(setq BANKINH (cdr (assoc 40 doituong)))
(setq GOCBD (cdr (assoc 50 doituong)))
(setq GOCKT (cdr (assoc 51 doituong)))

(setq noidungthongbaotrong (strcat
"\n -Linetype : " KIEUDUONGDOITUONG
"\n -Linetype Scale : " TILEDANGDUONG
"\n -Radius : " (rtos (/ BANKINH metxemt) 2 4)
"\n -Start angle : " (rtos (* 180 (/ GOCBD pi)) 2 4)
"\n -End angle : " (rtos (* 180 (/ GOCKT pi)) 2 4)
"\n"
"\n-------------------o Viet boi Kts: Duy o-------------------"
"\n"
"\n 1 met = <" metxem "> Go lenh DXEM de thay doi!"))
)
)
;;;;;;;;;
(Cond
((= KIEUDOITUONG "LWPOLYLINE")
(setq SODINH (cdr (assoc 90 doituong)))
(setq CHIEURONG (cdr (assoc 43 doituong)))
(command "area" "ob" doituong1)
(setq DIENTICH (getvar "area"))
(setq CHUVI (getvar "Perimeter"))
(setq noidungthongbaotrong (strcat
"\n -Linetype : " KIEUDUONGDOITUONG
"\n -Linetype Scale : " TILEDANGDUONG
"\n -Width : " (rtos CHIEURONG 2 4)
"\n -so dinh : " (itoa SODINH)
"\n -Area : " (rtos (/ DIENTICH (* metxemt metxemt)) 2 4)
"\n -Perimeter : " (rtos (/ CHUVI metxemt) 2 4)
"\n"
"\n-------------------o Viet boi Kts: Duy o-------------------"
"\n"
"\n 1 met = <" metxem "> Go lenh DXEM de thay doi!"))
)
)
;;;;;;;;;
(Cond
((= KIEUDOITUONG "POLYLINE")
(command "area" "ob" doituong1)
(setq DIENTICH (getvar "area"))
(setq CHUVI (getvar "Perimeter"))
(setq noidungthongbaotrong (strcat
"\n -Linetype : " KIEUDUONGDOITUONG
"\n -Linetype Scale : " TILEDANGDUONG
"\n -Area : " (rtos (/ DIENTICH (* metxemt metxemt)) 2 4)
"\n -Perimeter : " (rtos (/ CHUVI metxemt) 2 4)
"\n"
"\n-------------------o Viet boi Kts: Duy o-------------------"
"\n"
"\n 1 met = <" metxem "> Go lenh DXEM de thay doi!"))
)
)
;;;;;;;;;
(Cond
((= KIEUDOITUONG "SPLINE")
(command "area" "ob" doituong)
(setq DIENTICH (getvar "area"))
(setq CHUVI (getvar "Perimeter"))
(setq noidungthongbaotrong (strcat
"\n -Linetype : " KIEUDUONGDOITUONG
"\n -Linetype Scale : " TILEDANGDUONG
"\n -Area : " (rtos (/ DIENTICH (* metxemt metxemt)) 2 4)
"\n -Perimeter : " (rtos (/ CHUVI metxemt) 2 4)
"\n"
"\n-------------------o Viet boi Kts: Duy o-------------------"
"\n"
"\n 1 met = <" metxem "> Go lenh DXEM de thay doi!"))
)
)
;;;;;;;;;
(Cond
((= KIEUDOITUONG "LINE")
(setq DIEMDAU (cdr (assoc 10 doituong)))
(setq DIEMCUOI (cdr (assoc 11 doituong)))
(setq DODAI (distance DIEMDAU DIEMCUOI))
(setq GOCXIEN (angle DIEMDAU DIEMCUOI))
(setq noidungthongbaotrong (strcat
"\n -Linetype : " KIEUDUONGDOITUONG
"\n -Linetype Scale : " TILEDANGDUONG
"\n -Length : " (rtos (/ DODAI metxemt) 2 4)
"\n -Angle in XY : " (rtos (* 180 (/ GOCXIEN pi)) 2 4)
"\n"
"\n-------------------o Viet boi Kts: Duy o-------------------"
"\n"
"\n 1 met = <" metxem "> Go lenh DXEM de thay doi!"))
)
)
;;;;;;;;;
(Cond
((= KIEUDOITUONG "DIMENSION")
(setq KIEUDIM (cdr (assoc 3 doituong)))
(setq GIATRI (cdr (assoc 1 doituong)))

(Cond
((= GIATRI "")
(setq GIATRI "<>")
)
)

(setq noidungthongbaotrong (strcat
"\n -Linetype : " KIEUDUONGDOITUONG
"\n -Linetype Scale : " TILEDANGDUONG
"\n -Dimension style : " KIEUDIM
"\n -Contents : " GIATRI
"\n"
"\n-------------------o Viet boi Kts: Duy o-------------------"))
)
)
;;;;;;;;;
(Cond
((= KIEUDOITUONG "HATCH")
(setq KEUHATCH (cdr (assoc 2 doituong)))

(Cond
((= KEUHATCH "SOLID")
(setq noidungthongbaotrong (strcat
"\n -Linetype : " KIEUDUONGDOITUONG
"\n -Linetype Scale : " TILEDANGDUONG
"\n -Hatch pattern : " KEUHATCH
"\n"
"\n-------------------o Viet boi Kts: Duy o-------------------"))
)
((/= KEUHATCH "SOLID")
(setq TILEHATCH (cdr (assoc 41 doituong)))
(setq GOCHATCH (cdr (assoc 52 doituong)))
(setq noidungthongbaotrong (strcat
"\n -Linetype : " KIEUDUONGDOITUONG
"\n -Linetype Scale : " TILEDANGDUONG
"\n -Hatch pattern : " KEUHATCH
"\n -Hatch scale : " (rtos TILEHATCH 2 4)
"\n -Hatch angle : " (rtos (* 180 (/ GOCHATCH pi)) 2 4)
"\n"
"\n-------------------o Viet boi Kts: Duy o-------------------"))
)
)


)
)
;;;;;;;;;


(alert (strcat noidungthongbao noidungthongbaotrong))

(Princ))
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


  • 1

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#132 khaosat2009

khaosat2009

    biết lệnh offset

  • Members
  • PipPipPip
  • 171 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 27 September 2009 - 02:06 PM

Mình thấy các anh viết Lisp để kẻ bảng rất hay.
Nhờ các anh hướng dẫn cho việc viết lisp kẻ bảng sau:

ví dụ như ta có hình cần tích diện tích ra làm 3 phần : cột có
-----------------------------------------------------
stt - Dien tich 01 - Dien tich 02 - Dien tich 03
------------------------------------------------------
khi pick vào từng phần sẻ đưa vào từng hàng theo tiêu đề của cột trên theo thứ tự pick.
Xong hỏi tính nửa không ?
tính lần nửa sẻ đưa vào hàng 2.

Cách thể hiện kẻ bảng ra sao ?
Mong được các anh giúp.
  • 0

#133 Thaistreetz

Thaistreetz

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 903 Bài viết
Điểm đánh giá: 505 (tốt)

Đã gửi 27 September 2009 - 02:19 PM

Mình thấy các anh viết Lisp để kẻ bảng rất hay.
Nhờ các anh hướng dẫn cho việc viết lisp kẻ bảng sau:

ví dụ như ta có hình cần tích diện tích ra làm 3 phần : cột có
-----------------------------------------------------
stt - Dien tich 01 - Dien tich 02 - Dien tich 03
------------------------------------------------------
khi pick vào từng phần sẻ đưa vào từng hàng theo tiêu đề của cột trên theo thứ tự pick.
Xong hỏi tính nửa không ?
tính lần nửa sẻ đưa vào hàng 2.

Cách thể hiện kẻ bảng ra sao ?
Mong được các anh giúp.

Đã trả lời cho bạn tại đây
  • 0

Hình đã gửi
IN HIM, I TRUST. THE TRUST IN MY GOD


#134 dongcd

dongcd

    biết zoom

  • Members
  • Pip
  • 12 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 01 October 2009 - 10:19 PM

em load xong file relax, chạy ngon lành rồi, nhưng tắt đi rồi, khởi động lại mà vẫn còn chữ RELAX trên menu, nhưng không dùng được nữa, làm ơn chỉ em làm sao để xóa nó đi cái!
  • 0

#135 w1nDream

w1nDream

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 293 Bài viết
Điểm đánh giá: 73 (tàm tạm)

Đã gửi 02 October 2009 - 09:49 AM

Sao không được bạn. Sau khi viết gì đó mình không biết, rồi đặt tên ( VD: Binh80.lsp, < ở đây: binh80: tên lisp và thêm .lsp là được mà>). Chúc bạn thành công


Chào bạn Binh08 và a HoangSon.Có lẽ khi save B quên chọn All file.

[img]
http://www.cadviet.com/upfiles/2/save_file_lisp.jpg
[/img]
  • 0
__Tâm tựa lưu thủY__
Vi nhân nan

#136 dongcd

dongcd

    biết zoom

  • Members
  • Pip
  • 12 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 02 October 2009 - 11:20 AM

cho em hỏi tí nữa, ngôn ngữ lập trình dùng viết lisp là j vây? CAD có thể đọc được các ngôn ngữ khác như VB bằng cách tương tự như đọc 1 file lisp không?
  • 0

#137 dongcd

dongcd

    biết zoom

  • Members
  • Pip
  • 12 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 04 October 2009 - 12:01 PM

cho em hỏi tí nữa, ngôn ngữ lập trình dùng viết lisp là j vây? CAD có thể đọc được các ngôn ngữ khác như VB bằng cách tương tự như đọc 1 file lisp không?

Em là dân cầu đường, năm 3, em muốn tìm hiểu nhiều hơn về ACAD nhưng không biết bắt đầu từ đâu, về việc sử dụng các lệnh vẽ, hiệu chỉnh, quản lý thì em cũng khá rành rồi, nhưng về việc lập trình Autolisp hay những cái tương tự thì chưa biết j hết!em chưa biết j nên hỏi ngớ ngẩn thế, mong mọi người chỉ dạy.
  • 0

#138 tedu

tedu

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 05 October 2009 - 03:16 PM

Cảm ơn ssg nhiều,bài viết rất thân thiện và dễ hiểu!
  • 0

#139 ssg

ssg

    biết lệnh adcenter

  • Vip
  • PipPipPipPipPipPipPip
  • 1228 Bài viết
Điểm đánh giá: 1087 (rất tốt)

Đã gửi 05 October 2009 - 08:27 PM

em load xong file relax, chạy ngon lành rồi, nhưng tắt đi rồi, khởi động lại mà vẫn còn chữ RELAX trên menu, nhưng không dùng được nữa, làm ơn chỉ em làm sao để xóa nó đi cái!

Không rõ bạn "tắt đi rồi" như thế nào?

1. Load lại relax.lsp, menu "Relax" hiện ra, bấm vào "Remove this menu" là nó "biến" luôn, không còn vết tích gì nữa.
2. Nếu vì lý do gì đó nó không chịu "biến", bạn dùng cách "by hand": Tools-Customize-Menus..., tìm trong đó có cái gì liên quan đến chữ "Relax" thì cho nó "biến" đi. Mỗi đời CAD có thể khác nhau nên mình không nói cụ thể hơn, đại loại là "Unload", "Remove" gì gì đó là xong ngay thôi mà!
  • 1

#140 Thaistreetz

Thaistreetz

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 903 Bài viết
Điểm đánh giá: 505 (tốt)

Đã gửi 10 October 2009 - 03:30 PM

Làm cách nào để lấy được tọa độ các điểm: điểm đầu, các điểm đổi hướng và điểm cuối của Polyline?
  • 0

Hình đã gửi
IN HIM, I TRUST. THE TRUST IN MY GOD